MediaWiki:Mobile.css

imported>=海豚=2020年3月11日 (三) 13:28的版本

注意:这类代码页面在保存之后,您可能需要清除浏览器缓存才能看到所作出的变更的影响。

  • 按住CTRL+SHIFT+DEL 或 ⌘-Shift-R来清除缓存!
  • 或尝试在地址栏的地址最后添加代码?_=1来访问最新页面。
    添加代码后的本页地址如下:-{R|https://hmoegirl.com/MediaWiki:Mobile.css?_=1}-
  • 你还可以在设置中勾选小工具在页面右上角添加清除缓存按钮!
1. 桌面版CSS MediaWiki:Common.css
2. 桌面版JS MediaWiki:Common.js
3. 移动端CSS MediaWiki:Mobile.css
4. 移动端JS MediaWiki:Mobile.js
5. 全局共用CSS MediaWiki:Gadget-site-styles.css
6. 全局共用JS MediaWiki:Gadget-site-javascript.js
7. 管理员CSS MediaWiki:Group-sysop.css
8. 管理员JS MediaWiki:Group-sysop.js
9. 编辑时载入 MediaWiki:Common.js/edit.js
引用api时用mw.loader.using("mw.Api"),引用uri时用mw.loader.using("mediawiki.Uri")
/* 放置于这里的CSS将影响使用移动版网站的用户 */
/* 黑幕 */
.heimu, .heimu a, a .heimu, .heimu a.new {
    background-color: #252525;
    color: #252525;
    text-shadow: none;
}
.heimu:hover, .heimu:active,
.heimu:hover .heimu, .heimu:active .heimu {
    color: white !important;
}
.heimu:hover a, a:hover .heimu,
.heimu:active a, a:active .heimu {
    color: lightblue !important;
}
.heimu:hover .new, .heimu .new:hover, .new:hover .heimu,
.heimu:active .new, .heimu .new:active, .new:active .heimu {
    color: #BA0000 !important;
}
/* 修复单元格莫名空行 */
td {
    vertical-align: middle;
}
/* 修复子页面列表和common-box宽度不足 */
.mw-prefixindex-list-table,
.common-box {
    width: 100%!important;
}
/* 侧边栏和替换logo图片隐藏 */
#sidebar-character,
#wglogo {
    display: none;
}
/* 导航条 */
#breadcrumb {
    font: bold 18px Arial, Helvetica, sans-serif;
    color: black;
    border: solid 1px rgb(204, 204, 204);
    width: 100%;
    overflow: hidden;
    margin: 0;
    padding: 0 0 .5em 0;
}
#breadcrumb span {
    list-style-type: none;
    float: left;
    padding-left: 10px;
}
#breadcrumb span:after {
    content: "·"
}
#breadcrumb span:last-child:after {
    content: "";
}
#breadcrumb a {
    text-align: center;
    vertical-align: middle;
    display: inline-block;
    padding-right: 15px;
    text-decoration: none;
    color: #454545!important;
}
.home {
    border: none;
    margin: 8px 0;
}
/* 注释文字 */
sup.mobileref {
    display:none;
}
sup.mobileref:after {
    content: " (" attr(title) ")";
    display: inline;
}
/* 页顶提示模板相关 */
#commonBoxInfo {
    color: #f00;
    font-weight: bold;
    text-align: center;
}
#commonBoxList > .commonBoxButton {
    display: inline-block;
    border-bottom: 3px solid #000;
    width: 40px;
    height: 40px;
    background: #fff 50% 50% no-repeat;
    background-size: contain;
    cursor: pointer;
    transition: opacity .5s;
}
#commonBoxList.open > .commonBoxButton {
    opacity: .1;
}
#commonBoxList.open > .commonBoxButton.current {
    opacity: 1;
}
/* infoBox */
.infoBox {
    margin: 0 auto;
    clear: both;
}
.infoBoxTitle {
    margin: 3px auto;
    padding: 0;
    text-align: center;
    font-weight: bold;
}
.infoBoxIcon {
    display: table-cell;
    padding: 2px 0 2px 0.5em;
    vertical-align: middle;
}
@media screen and (min-width: 640px) {
    .content .infoBoxIcon a > img {
        max-width: none!important;
    }
}
.infoBoxText {
    display: table-cell;
    padding: 0.25em 0.5em 0.25em 1.3em;
    width: 100%;
    vertical-align: middle;
}
.infoBoxContent {
    border: 1px solid #ddd;
    border-left-width: 0;
    background: #fbfbfb;
}
.infoBoxBelow {
    margin: 0 auto;
    padding: 0;
    text-align: center;
}
/* code 内边距修复 */
code {
    padding: 3px
}
/* Tabs */
.tab .TabLabelText {
    border-top: 3px solid transparent;
    padding: 1px;
    background: #fff;
    border-left: 1px solid transparent;
    border-right: 1px solid transparent;
    cursor: pointer;
    flex: none;
}
.tab .TabLabel {
    z-index: 2;
    position: sticky;
    top: 0;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
    display: flex;
    flex-wrap: wrap;
    background-color: white;
}
.tab .TabLabelText.selected {
    border-top: 3px solid green;
    padding: 1px;
    background: white;
    border-left: 1px solid #aaa;
    border-right: 1px solid #aaa;
}
.tab .TabContent {
    background: white;
    padding: 20px 30px;
    position: relative;
    z-index: 1;
    border: 1px solid #aaa;
}
.tab .TabContentText {
    display: none;
}
.tab .TabContentText.selected {
    display: block;
}
.Tabs .Tab {
    border-bottom: 1px solid #aaa;
}
.Tabs .Tab:first-child {
    border-top: 1px solid #aaa;
}
.Tabs .Tab .TabLabelText {
    padding: 7px;
}
.Tabs .Tab .TabContentText {
    padding: 3px;
}
/* wikitable green */
table.wikitable-green {
    background: #c9f6e1
}
.wikitable-green th {
    background: #13ec93
}
.wikitable-green td {
    background: #f3f3f3
}
/* wikitable border */
#content.content table.wikitable {
    border: none;
}
/* 大家族模板 */
.navbox th, .navbox-group {
    background: #a5e4a5;
}
/* 来个高优先级的 */
body .content .navbox {
    display: table!important;
}
.navbox .content table {
    width: 100% !important;
}
.navbox {
    border: 1px solid #aaa;
    clear: both;
    padding: 1px;
    text-align: center;
    width: 100%;
}
.navbox-group {
    white-space: nowrap;
}
.navbox table {
    width: 100% !important;
    margin: 0 !important;
}
.navbox-subgroup .navbox-group {
    background: #e6f6e6;
}
.navbox-title > div:first-of-type {
    display: none;
}
/* Fix by case : Rev 1327309 ([[Special:Permalink/1327309]])
    Address alignment issue of nested tabs in Navbox */
.navbox .TabLabel {
    text-align: left;
}
@media screen and (max-width: 640px) {
    .navbox-group {
        display: block;
    }
    .navbox-group + * {
        display: block;
        width: 100%;
        border-left: 1em solid #a5e4a5 !important;
        padding-left: 3px !important;
        padding-top: 3px !important;
        box-sizing: border-box;
    }
    .navbox-subgroup .navbox-group + * {
        border-left: 1em solid #e6f6e6 !important;
    }
}

.GUP_Item_Title_Cell {
    width: 5em;
    background-color: #FFCCCC;
    white-space: nowrap;
    padding: 0.438em 0.625em;
    vertical-align: top;
    text-align: left;
}
.Infobox_GUP tr {
    border: 1px solid #a2a9b1;
}
.Infobox_GUP td {
    vertical-align: top;
    padding: 0.438em 0.625em;
}
/*{{Infobox Ooarai team}、{{GUP人物信息}}移动版CSS。*/
.Infobox_GUP {
    text-align: left;
    font-size: small;
    line-height: 1.5em;
    border: 1px solid #a2a9b1;
    background-color: #FFFFFF;
    float: right;
}
.GUP_Title_Cell {
    text-align: center;
    padding: 0.25em 0.33em 0.33em;
    line-height: 1.2em;
    font-size: 1.25em;
    background-color: #FF9999;
    color: #FFFFFF;
}
.GUP_Subtitle_Cell {
    text-align: center;
    background-color: #FF9999;
    color: #FFFFFF;
    font-size: 100%;
    padding: 0.438em 0.625em;
}
.GUP_Item_Title_Cell {
    width: 5em;
    background-color: #FFCCCC;
    white-space: nowrap;
    padding: 0.438em 0.625em;
    vertical-align: top;
    text-align: left;
}
.Infobox_GUP tr {
    border: 1px solid #a2a9b1;
}
.Infobox_GUP td {
    vertical-align: top;
    padding: 0.438em 0.625em;
}
/* 移动版替代编辑器 */
.in-page-edit .mw-editsection,
.in-page-edit .hide-for-guide {
  display: none;
}
.in-page-edit {
  color: #252525;
}
.in-page-edit .ssi-modalWindow {
  padding: 0;
  border-radius: 0;
}
.in-page-edit .ssi-overflow {
    background-image: radial-gradient(farthest-side at 50% 0,
rgba(26,26,26,0.12),transparent),radial-gradient(farthest-side at 50% 100%,rgba(26,26,26,0.12),
    transparent);
    background-position: 0 0,0 100%;
    background-repeat: no-repeat;
    background-size: 100% 9px;
    position: relative;
    z-index: 1;
    padding-top: 0;
    padding-bottom: 0;
}
.in-page-edit .ssi-overflow:before,
.in-page-edit .ssi-overflow:after {
  content: '';
  display: block;
  background-color: #fff;
  height: 30px;
  position: relative;
  z-index: -1;
  margin: 0 0 -30px;
}
.in-page-edit .ssi-overflow:after {
  margin: 0 0 -29px;
}
.in-page-edit .ssi-topIcons {
  #background: #808080;
  text-align: center;
}
.in-page-edit .ssi-topIcons .ssi-closeIcon {
  background: none;
  color: #d33;
  height: 24px;
  width: 36px;
  font-size: 30px;
  line-height:  24px;
}
.in-page-edit .ssi-topIcons .ssi-closeIcon:hover {
  background: none;
  color: #f22;
  height: 24px;
  width: 36px;
  font-size: 30px;
  line-height:  24px;
}
.in-page-edit .ssi-closeIcon:before {
  content: '关闭';
  font-size: 16px;
  display: unset !important;
}
.in-page-edit:not(.notify) .ssi-modalTitle {
  font-style: normal;
  font-family: sans-serif;
  font-weight: bold;
  background: #ffffff;
  color: #252525;
  font-size: 1.1em;
  line-height: 1.8em;
  text-align: center;
}
.in-page-edit .editArea {
  max-width:100%;
  min-width:100%;
  min-height:350px;
  margin: 1em 0 0 0;
}
.notify .ssi-modalTitle {
  font-style: normal;
  font-family: inherit;
}
.in-page-edit.ipe-editor .ssi-buttons {
  background-color: #eaecf0;
  color: #222;
  /* border: 1px solid #c8ccd1; */
  border-top: 0;
  padding: 1em 1em 0.5em 1em;
  margin-bottom: 0;
}
.in-page-edit .editSummary {
  width: 98%;
  margin: 4px auto 8px 0.5em
}
.in-page-edit .editOptionsLabel {
  margin: 0 auto 16px auto;
}
.in-page-edit .btn {
  font-size: 16px;
  font-weight: bold;
  color: #222;
  border: 1px solid transparent;
  border-radius: 2px;
  padding: 0.25em 0.8em;
  transition: all .1s;
}
.in-page-edit .btn:focus {
  box-shadow: inset 0 0 0 1px #36c;
}
.in-page-edit .btn.btn-primary {
  color: #fff;
  background-color: #36c;
  border-color: #36c;
}
.in-page-edit .btn.btn-primary:hover {
  background-color: #447ff5;
  border-color: #447ff5;
}
.in-page-edit .btn.btn-primary:active {
  background-color: #2a4b8d;
}
.in-page-edit .btn.btn-secondary {
  color: #252525;
  border-color: #c8ccd1;
  background-color: #f8f9fa;
}
.in-page-edit .btn.btn-secondary:hover {
  background-color: #ffffff;
  color: #454545;
}
.in-page-edit .btn.btn-secondary:active {
  border: 1px solid #36c;
}
.in-page-edit .btn.btn-danger {
  background: transparent;
  color: #d33;
  background-color: #f4f4f4;
}
.in-page-edit .btn.btn-danger:hover {
  color: #ff4242;
  background-color: #fafafa;
}
.in-page-edit .btn.btn-danger:active {
  color: #d00;
  border: 1px solid #36c;
}
.in-page-edit .btn:disabled {
  background-color: #c8ccd1 !important;
  color: #ffffff !important;
  cursor: not-allowed;
}
.in-page-edit .btn:disabled:hover {
  background-color: #c8ccd1 !important;
  color: #ffffff !important;
}
.in-page-edit .btn:disabled .ssi-countDown {
  color: #fff;
}
.in-page-edit input {
  padding: 0.25em 0.35em;
  border: 1px solid #ccc;
  border-radius: 2px;
  transition: all .2s;
}
.in-page-edit input:focus {
  border-color: #36c;
  box-shadow: inset 0 0 0 1px #36c;
}
.in-page-edit.centerbox .ssi-modalWindow  {
  margin-top: 50% !important;
}
.in-page-edit.centerbox .ssi-modalContent  {
  padding-top: 18px;
  font-size: large;
}
.in-page-edit .dialog .ssi-buttons .btn {
  margin: 0;
  padding: 0.5em;
  background: transparent;
  color: #252525;
  border: 1px solid #efefef;
  border-radius: 0;
  width: 50%;
}
.in-page-edit .dialog .ssi-buttons .btn:hover {
  background: #f8f8f8 !important;
}
.in-page-edit .btn.btn-single {
  width: 100% !important;
}
.in-page-edit .dialog .ssi-buttons .btn.btn-danger {
  color: #c33;
}
.in-page-edit .dialog .ssi-buttons {
  padding: 0;
}
.in-page-edit .dialog .ssi-buttons .ssi-rightButtons {
  width: 100%;
}
.in-page-edit-article-link-group:before {
  content: '['
}
.in-page-edit-article-link-group:after {
  content: ']'
}
.mw-editsection .in-page-edit-article-link-group:before {
  content: ' | '
}
.mw-editsection .in-page-edit-article-link-group:after {
  content:''
}
.mw-diff-undo .in-page-edit-article-link-group {
  display: none;
}

/** 进度条 **/
.ipe-progress {
  height: 1em;
  border: 1px solid #c5c5c5;
  border-radius: 2px;
  background: white;
  overflow: hidden;
}
.ipe-progress .ipe-progress-bar {
  height: 100%;
  width: auto;
  background: #3360c3;
  animation: progress 2s linear infinite;
  opacity: 1;
}
.ipe-progress.done {
  background: #3360c3;
  transition: all 0.8s;
}
.ipe-progress.done .ipe-progress-bar {
  animation: none;
  width: 0%;
  margin: auto 0;
  opacity: 0;
  transition: all 0.8s;
}
@keyframes progress {
  from {
    margin-left: -40%;
    margin-right: 110%;
  }
  to {
    margin-left: 110%;
    margin-right: -40%;
  }
}

/* 通知框 */
.in-page-edit.notify {
  border-radius: 0;
  font-family: unset;
}
.in-page-edit.notify .ssi-modalTitle {
  background: none;
  color: unset;
}

/** 背景颜色 **/
.ssi-backdrop {
  background: rgba(255,255,255,0.5);
}

/** 修改checkbox样式 **/
.in-page-edit input[type=checkbox] + label {
  user-select: none;
}
.in-page-edit input[type=checkbox] + label::before {
  content: "\a0";  /* 不换行空格 */
  display: inline-block;
  vertical-align: 2px;
  width: 18px;
  height: 18px;
  margin-right: 5px;
  border-radius: 2px;
  background-color: #f8f8f8;
  text-indent: 2px;
  line-height: 1.1;
  border: 1px solid #72777d;
  cursor: pointer;
  transition: all 0.12s;
}
.in-page-edit input[type="checkbox"]:checked + label::before {
  content: "\2713"; /* 对号的 Unicode 编码 */
  font-size: 1em;
  font-weight: bold;
  background-color: #36c;
  color: white;
}
.in-page-edit input[type='checkbox']:checked + label:hover:before {
  background-color: #447ff5;
}
.in-page-edit input[type="checkbox"]:active + label::before,
.in-page-edit input[type="checkbox"]:focus + label::before {
  box-shadow: inset 0 0px 0px 1px rgb(255, 255, 255);
  border-color: #3366cc;
}
.in-page-edit input[type='checkbox'] {
  position: absolute;
  clip:rect(0,0,0,0);
}
.in-page-edit input[type='checkbox']:disabled + label::before {
  border-color: #d6d6d6;
}
.in-page-edit input[type='checkbox']:disabled:checked + label::before {
  background-color: #a0a0a0;
}

/* 右下角小工具箱 */
#ipe-edit-toolbox {
  position: fixed; 
  right: 24px; 
  bottom: 24px;
  user-select: none;
  z-index: 199;
}
#ipe-edit-toolbox #toolbox-toggle {
  transition: all .3s cubic-bezier(.54,-0.55,.44,1.5);
}
#ipe-edit-toolbox #toolbox-toggle.opened {
  transform: rotate(45deg);
}
#ipe-edit-toolbox .ipe-toolbox-btn {
  color: white; 
  background: #bebebe; 
  text-align: center;
  height: 45px;
  width: 45px;
  font-size: 30px;
  line-height: 50px;
  border: 0;
  border-radius: 50%;
  box-shadow: 0 0 5px gray;
  text-shadow: 0 0 2px #4c4c4c;
  padding: 0;
  margin-bottom: 4px;
  cursor: pointer;
}
#ipe-edit-toolbox .btn-group.group1 .btn-tip-group {
  transform: scale(0) translateY(40px) translateX(0px);
}
#ipe-edit-toolbox .btn-group.group2 .btn-tip-group {
  transform: scale(0) translateY(0px) translateX(40px);
}
#ipe-edit-toolbox .btn-group .btn-tip-group:nth-of-type(1) {
  transition: transform .2s cubic-bezier(.68,-0.55,.35,1);
}
#ipe-edit-toolbox .btn-group .btn-tip-group:nth-of-type(2) {
  transition: transform .2s cubic-bezier(.68,-0.55,.27,1) .14s;
}
#ipe-edit-toolbox .btn-group .btn-tip-group:nth-of-type(3) {
  transition: transform .2s cubic-bezier(.68,-0.55,.27,1) .28s;
}
#ipe-edit-toolbox .btn-group.opened .btn-tip-group {
  transform: scale(1) translateY(0px) translateX(0px);
}
#ipe-edit-toolbox .btn-group.opened .btn-tip-group:nth-of-type(3) {
  transition: transform .2s cubic-bezier(.68,-0.55,.27,1.8);
}
#ipe-edit-toolbox .btn-group.opened .btn-tip-group:nth-of-type(2) {
  transition: transform .2s cubic-bezier(.68,-0.55,.27,1.8) .14s;
}
#ipe-edit-toolbox .btn-group.opened .btn-tip-group:nth-of-type(1) {
  transition: transform .2s cubic-bezier(.68,-0.55,.27,1.8) .28s;
}
#ipe-edit-toolbox .ipe-toolbox-btn#toolbox-toggle {
  width: 50px; 
  height: 50px;
  background: #bebebe;
  font-size: 40px; 
  line-height: 56px;
}
#ipe-edit-toolbox .ipe-toolbox-btn#edit-btn {
  background: #45a8ff;
}
#ipe-edit-toolbox .ipe-toolbox-btn#redirectfrom-btn {
  background: #ffa530;
}
#ipe-edit-toolbox .ipe-toolbox-btn#redirectto-btn {
  background: #ff4985;
}
#ipe-edit-toolbox .ipe-toolbox-btn#preference-btn {
  background: #4caf50;
}
#ipe-edit-toolbox .ipe-toolbox-btn#deletepage-btn {
  background: #f00000;
}
#ipe-edit-toolbox .ipe-toolbox-btn#renamepage-btn {
  background: #ca7efe;
}
#ipe-edit-toolbox .ipe-toolbox-btn.not-allowed {
  #box-shadow: 0 0 0 4px #ff4141 !important;
  background: #cdcdcd !important;
}
#ipe-edit-toolbox .ipe-toolbox-btn.not-allowed:before {
  content: 'add';
  color: red;
  display: block;
  font-size: 86px;
  position: absolute;
  transform: rotate(45deg);
  margin-top: 2px;
  margin-left: -22px;
}
#ipe-edit-toolbox .btn-group {
  height: auto;
  margin-left: 2px;
  position: relative;
  list-style: none;
}
#ipe-edit-toolbox .btn-group.group2 {
  position: absolute;
  right: 50px;
  margin: 5px 0 0 0;
}
#ipe-edit-toolbox .btn-group.opened {
  visibility: visible
}
#ipe-edit-toolbox .btn-group.group2 .btn-tip-group {
  margin-right: 6px;
}
#ipe-edit-toolbox .btn-tip-group .btn-tip {
  position: absolute;
  text-align: center;
  font-size: 12px;
  width: 6em;
  right: -12px;
  top: -2em;
  background: white;
  padding: 0px 4px;
  box-shadow: 0 0 4px gray;
  display: none;
}
#ipe-edit-toolbox .btn-tip-group:hover .btn-tip {
  display: block;
}
#ipe-edit-toolbox .btn-tip-group .btn-tip:after {
  content: "";
  background: ;
  display: block;
  border: 5px solid transparent;
  border-right-color: #fff;
  border-bottom-color: #fff;
  position: absolute;
  bottom: -4px;
  left: calc(50% - 2.5px);
  transform: rotate(45deg);
}